Subject: bug#22814: 25.0.91; Emacs runs out of file descriptors on OS X

From: Michael Albinus <[email-masked]>
Date: Mon, 11 Apr 2016 08:40:10 +0200

Anders Lindgren <[email-masked]> writes:

> Hi!

Hi Anders,

> I just took a quick look at this. I noticed that turning on
> global-auto-revert-mode disables file notifications. Is this still
> needed when your new system is in place? Personally, I would like to
> see it revert to the old timer system only when running out of
> resources.

Really? This shall happen on the emacs-25 branch only. In the master
branch, there's no such code in autorevert.el. And that's also the
branch the fix in kqueue.c has been committed to.

> -- Anders

Best regards, Michael.